Subject: Re: [PATCH net] net: core: Correctly iterate over lower adjacency list

From: Ido Schimmel <[email-masked]>
Date: Wed, 19 Oct 2016 18:36:27 +0300

Hi Dave,

On Wed, Oct 19, 2016 at 10:38:29AM -0400, David Miller wrote:
> From: [email-masked]
> Date: Wed, 19 Oct 2016 16:57:08 +0300
> 
> > From: Ido Schimmel <[email-masked]>
> > 
> > Tamir reported the following trace when processing ARP requests received
> > via a vlan device on top of a VLAN-aware bridge:
>  ...
> > The problem is that netdev_all_lower_get_next_rcu() never advances the
> > iterator, thereby causing the loop over the lower adjacency list to run
> > forever.
> > 
> > Fix this by advancing the iterator and avoid the infinite loop.
> > 
> > Fixes: 7ce856aaaf13 ("mlxsw: spectrum: Add couple of lower device helper functions")
> > Signed-off-by: Ido Schimmel <[email-masked]>
> > Reported-by: Tamir Winetroub <[email-masked]>
> > Reviewed-by: Jiri Pirko <[email-masked]>
> 
> Applied.

Below the patch I noted "Please consider queueing this for 4.8.y", but
you didn't reply and I don't see it here:
https://patchwork.ozlabs.org/bundle/davem/stable/?state=*

So I'm not sure if this was rejected or you just missed my note.

Thanks